package com.yidian.shenghuoquan.newscontent.constant

/**
 * author: yinjiacheng
 * date: 5/29/21 2:59 PM
 * description: 常量
 */
object Constant {

  const val LIFE_ACCOUNT_AUTH_TAG = "LifeAccountAuth"

  // 认证类型
  const val TYPE_AUTH = "auth_type"
  const val TYPE_AUTH_PERSONAL = 0 // 个人
  const val TYPE_AUTH_INDIVIDUAL_BUSINESS = 1 // 个体工商户
  const val TYPE_AUTH_COMMON_ENTERPRISE = 2 // 普通企业

  // 认证状态
  const val STATUS_AUTH_NOT = 1 // 未认证
  const val STATUS_AUTH_FINISH = 2 // 已认证

  // 审核状态
  const val STATUS_AUDIT_UNDER = 10 // 审核中
  const val STATUS_AUDIT_PASS = 20 // 审核通过
  const val STATUS_AUDIT_REJECT = 30 // 审核失败

  // 商户类型
  const val ITEM_INDIVIDUAL_BUSINESSES = "个体工商户"
  const val ITEM_COMMON_ENTERPRISE = "普通企业"
  const val TYPE_INDIVIDUAL_BUSINESS = 1
  const val TYPE_COMMON_ENTERPRISE = 2

  // 生活号类型
  const val TYPE_LIFE_ACCOUNT_PERSONAL = 1 // 个人生活号
  const val TYPE_LIFE_ACCOUNT_ENTERPRISE = 2 // 企业生活号

  // 生活号Tag
  const val LIFE_ACCOUNT_TAG_COMMON_ENTERPRISE_AUTH = 1 // 普通企业认证
  const val LIFE_ACCOUNT_TAG_INDIVIDUAL_BUSINESS_AUTH = 2 // 个体工商户认证
  const val LIFE_ACCOUNT_TAG_PERSONAL_AUTH = 3 // 个人认证
  const val LIFE_ACCOUNT_TAG_NOT_AUTH = 4 // 未认证
  const val LIFE_ACCOUNT_TAG_AUDIT_UNDER = 5 // 审核中
  const val LIFE_ACCOUNT_TAG_AUTH_REJECT = 6 // 认证驳回

  // 身份证、营业执照上传方式
  const val ITEM_TAKE_PHOTO = "拍照"
  const val ITEM_OPEN_ALBUM = "相册"

  // 调用系统相机、打开系统相册 requestCode
  const val REQUEST_CODE_OPEN_ALBUM = 101
  const val REQUEST_CODE_OPEN_CAMERA = 102

  // 调用旷视FaceID进行身份证采集 requestCode
  const val REQUEST_CODE_ID_CARD_CAPTURE = 103

  // 身份证人像面、身份证国徽面、营业执照待上传临时存储path，营业执照相机拍照临时存储path
  const val FILE_PATH_ID_CARD_PORTRAIT_FACE = "/ocr/id_card/portrait_face.jpg"
  const val FILE_PATH_ID_CARD_NATIONAL_EMBLEM_FACE = "/ocr/id_card/national_emblem_face.jpg"
  const val FILE_PATH_BUSINESS_LICENSE_CAMERA = "/ocr/business_license_camera.jpg"
  const val FILE_PATH_BUSINESS_LICENSE = "/ocr/business_license.jpg"
  const val FILE_PATH_ALIVE_DETECT_VERIFY_DATA = "/alive_detect/verify"

  // 身份证人像面、身份证国徽面标识
  const val ID_CARD_PORTRAIT_FACE = 1
  const val ID_CARD_NATIONAL_EMBLEM_FACE = 2

  // 活体验证流程
  const val TYPE_MEG_LIVE = "meglive" // 动作活体
  const val TYPE_STILL = "still" // 静默活体
  const val TYPE_FLASH = "flash" // 炫彩活体，通过打光进行活体验证，炫彩活体相较于静默活体安全性更高，但通过率会略有降低
  const val TYPE_RAW_IMAGE = "raw_image" // 不进行活体验证，仅使用上传的图片进行后续的比对

  // 服务端error message
  const val ERROR_MESSAGE_ID_CARD_NUMBER = "身份证号码有误"
  const val ERROR_MESSAGE_REAL_NAME = "姓名缺失"

  // 数据来源
  const val DATA_FROM_C = 1 // C端
  const val DATA_FROM_B = 2 // B端
  const val DATA_FROM_OP = 3 // OP后台

  // 服务端标识
  const val ALIVE_DETECT_SUCCESS = 1 // 活体检测成功
  const val ALIVE_DETECT_FAIL = 2 // 活体检测未检测或失败
}
